import MockHTTPServer from '../helpers/mock-http-server'
const Router = require('../../index')

const server =  new MockHTTPServer()

/** @test {Router} */
describe('Router', function() {

  it('should initialize', function() {

    var router = new Router({
      // Basic mock Express server object
      server: {
        all: function() {},
        delete: function() {},
        get: function() {},
        post: function() {},
        put: function() {},
        use: function() {}
      }
    })

    expect(router).to.be.an('object')
    // expect(router.routesList).to.be.an('array')

  })

  it('should generate a route list', async function() {

    const res = await server
      .get(`/api/${process.env.API_VERSION}/`)

    expect(res.text).to.include('<h1>0.1 routes</h1>')
    expect(res.text).to.include('<h2>applications</h2>')
    expect(res.text).to.include('/applications/of/users/:id')

  })

})
